Subject: Re: [PATCH 7/8] fetch: fix inconsistent summary width for pruned and updated refs

From: Junio C Hamano <[email-masked]>
Date: Wed, 15 Mar 2023 16:12:59 -0700

Patrick Steinhardt <[email-masked]> writes:

> As the abbreviated hashes may have different lengths in order to be
> unique we thus need to precompute the width of the summary's column by
> iterating through all the objects. This is done in two locations: once
> to compute the width for references that are to be pruned, and once for
> all the other references. Consequentially, it can happen that the width
> as calculated for these sets of references is different.

Hmph.  Use of ref_map vs stale_refs as the parameter to call
transport_summary_width() is to come up with an appropriate width
for showing the list of stored refs vs the list of pruned refs, so
from that point of view, an appropriate width for each list is
calculated to a different number may even be a feature, no?

I do not mind either way all that much, but a change like this to
update the presentation may want to be protected with a test from
future breakages.

Thanks.